Package org.eclipse.mat.internal.snapshot

## Class SnapshotArgument

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.SnapshotArgument

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`, `ArgumentFactory`

    public class SnapshotArgument
    extends java.lang.Object
    implements ArgumentFactory, java.io.Closeable

### Constructor Summary

Constructors
`SnapshotArgument​(java.lang.String filename)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendUsage​(java.lang.StringBuilder buf)`
`java.lang.Object` `build​(ArgumentDescriptor descriptor)`
`void` `close()` Tidy up and dispose of any snapshot obtained from build.
`java.lang.String` `getFilename()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotArgument

    public SnapshotArgument​(java.lang.String filename)

### Method Detail

#### getFilename

    public java.lang.String getFilename()

#### appendUsage

    public void appendUsage​(java.lang.StringBuilder buf)

Specified by:
  `appendUsage` in interface `ArgumentFactory`

#### build

    public java.lang.Object build​(ArgumentDescriptor descriptor)
                           throws SnapshotException

Specified by:
  `build` in interface `ArgumentFactory`
Throws:
  `SnapshotException`

#### close

    public void close()

Tidy up and dispose of any snapshot obtained from build.

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`